Bug 1026516 - Tomcat 7 - Invalid credentials - throws a NullPointer exception
Tomcat 7 - Invalid credentials - throws a NullPointer exception
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
All All
low Severity low
: ---
: ---
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 16:06 EST by Roger Martínez
Modified: 2016-09-20 01:08 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Known Issue Summary: When using the Tomcat 7 Dashbuilder Distribution, users logging in with invalid credentials receive an error page with a nullpointer exception. The expected result should be an "Invalid Credentials" error message. A possible workaround from encountering the error page with a nullpointer exception is to use basic authentication instead of form based authentication when logging in. Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dashbuilder - tomcat7 - invalid credentials error (73.85 KB, image/png)
2013-11-04 16:06 EST, Roger Martínez
no flags Details

  None (edit)
Description Roger Martínez 2013-11-04 16:06:09 EST
Created attachment 819350 [details]
dashbuilder - tomcat7 - invalid credentials error

Description of problem: When doing a login with invalid credentials using the tomcat-7 dashbulder distribution, an error page is diplayed with a nullpointer exception.


Version-Release number of selected component (if applicable): 6.1.0-SNAPSHOT (builded on 4 nov 2013)


How reproducible:


Steps to Reproduce:
1. Install tomcat 7
2. Add users specified in https://github.com/droolsjbpm/dashboard-builder/blob/master/builder/src/main/tomcat7/README.md into tomcat-users.xml (tomcat realm)
3. Copy dashbuilder-tomcat-7.war into webapps directory
4. Navigate to http://localhost:8080/dashbuilder-tomcat-7/
5. Try to login with invalid credentials
6. An error page with a nullpointer exception is displayed.

Actual results:


Expected results: Invalid credentials error message.


Additional info:

The exception is:

java.lang.NullPointerException
	org.jboss.weld.context.AbstractBoundContext.deactivate(AbstractBoundContext.java:71)
	org.jboss.weld.context.http.HttpRequestContextImpl.deactivate(HttpRequestContextImpl.java:86)
	org.jboss.weld.servlet.WeldListener.requestDestroyed(WeldListener.java:103)
	org.jboss.weld.servlet.api.helpers.ForwardingServletListener.requestDestroyed(ForwardingServletListener.java:42)
	org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:100)
	org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:953)
	org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)
	org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)
	org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:603)
	org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:312)
	java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	java.lang.Thread.run(Thread.java:724)



NOTE: Probably I'm missing some tomcat configuration??
Comment 1 Roger Martínez 2013-11-04 16:07:54 EST
See screenshot attached
Comment 3 Pedro Zapata 2013-11-05 04:12:21 EST
Thats a known issue (https://issues.jboss.org/browse/JBPM-4034).

The problems it seems to be caused by the following Weld issue https://issues.jboss.org/browse/WELD-1020.
It seems to be fixed in Weld 2.0. But unfortunately, Dashbuilder is based on Weld 1.1 as it's the version used by EAP

The issue will be fixed when adapting Dashbuilder to forthcoming versions of the AS. WildFly 8 may be.
Comment 4 Pedro Zapata 2013-11-05 04:12:58 EST
One possible workaround is using basic authentication instead of form based authentication.
Comment 5 Roger Martínez 2013-11-05 14:38:11 EST
Ok, 

so... this issue can be marked as duplicate and closed?
Comment 7 Pedro Zapata 2013-11-08 04:02:47 EST
It's not duplicated, as it's reported in a JIRA. We'll leave it open by the moment to keep track with low priority.

Note You need to log in before you can comment on or make changes to this bug.